package draw;

import java.awt.Graphics2D;
import java.util.ArrayList;

public class GlobalMemPlot extends DrawObject{

	private ArrayList<Double> globalMem_List = new ArrayList<Double>();
	
	private int dis_H = 10;
	private double y_scaleFactor = 1000;
	
	//###############################################################################################
	// Override Method DrawObject
	//###############################################################################################

	@Override
	public void draw(Graphics2D g2d) 
	{
		for(int i=1; i<globalMem_List.size(); i++)
		{
			g2d.drawLine(dis_H * (i-1)
					, (int)(globalMem_List.get(i-1) * y_scaleFactor)
					, dis_H * i
					, (int)(globalMem_List.get(i) * y_scaleFactor));
		}		
	}

	//###############################################################################################
	// GET and SET
	//###############################################################################################

	public ArrayList<Double> getGlobalMem_List() {
		return globalMem_List;
	}

	public void setGlobalMem_List(ArrayList<Double> globalMem_List) {
		this.globalMem_List = globalMem_List;
	}

}
