package draw;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JMenu;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;
import javax.swing.JRadioButton;
import javax.swing.JSpinner;
import javax.swing.SpinnerNumberModel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class LocalWalk_PopUp extends JPopupMenu implements ActionListener, ChangeListener{
	
	private LocalWalkView lwv;
	
	private JMenu distanceTypeMenu;
	
	private JRadioButton radio_1;
//	private JRadioButton radio_2;
//	private JRadioButton radio_3;
	
//	private JPanel panel_3;
//	private JSpinner spinner_3;
	
	private ButtonGroup bGroup;
	
	//###############################################################################################
	// Constructor
	//###############################################################################################

	public LocalWalk_PopUp(LocalWalkView lwv_P)
	{
		lwv = lwv_P;
		
		radio_1 = new JRadioButton("Euclide");
		radio_1.setActionCommand("radio1");
		radio_1.addActionListener(this);
//		radio_2 = new JRadioButton("MD");
//		radio_2.setActionCommand("radio2");
//		radio_2.addActionListener(this);
//		radio_3 = new JRadioButton("HL");
//		radio_3.setActionCommand("radio3");
//		radio_3.addActionListener(this);
		
//		spinner_3 = new JSpinner(new SpinnerNumberModel(lwv.getNumHLSamples(), 0, 10000, 1));
//		spinner_3.setName("spinner3");
//		spinner_3.addChangeListener(this);
//		spinner_3.setPreferredSize(new Dimension(60,20));
//		
//		panel_3 = new JPanel();
//		panel_3.setLayout(new FlowLayout(FlowLayout.LEFT));
//		panel_3.add(radio_3);
//		panel_3.add(spinner_3);
		
		bGroup = new ButtonGroup();
		bGroup.add(radio_1);
//		bGroup.add(radio_2);
//		bGroup.add(radio_3);
		radio_1.setSelected(true);
		
		distanceTypeMenu = new JMenu("Distance..");
		distanceTypeMenu.add(radio_1);
//		distanceTypeMenu.add(radio_2);
//		distanceTypeMenu.add(panel_3);
		
		this.add(distanceTypeMenu);
	}
	
	//###############################################################################################
	// Override Method ActionListener
	//###############################################################################################
	
	@Override
	public void actionPerformed(ActionEvent arg0) 
	{
		if(arg0.getActionCommand().equals(radio_1.getActionCommand()))
		{
			lwv.setDistanceType(0);
			lwv.repaintDrawPanel();
		}
//		else if(arg0.getActionCommand().equals(radio_2.getActionCommand()))
//		{
//			lwv.setDistanceType(1);
//			lwv.repaintDrawPanel();
//		}
//		else if(arg0.getActionCommand().equals(radio_3.getActionCommand()))
//		{
//			lwv.setDistanceType(2);
//			lwv.repaintDrawPanel();
//		}
	}
	
	//###############################################################################################
	// Override Method ChangeListener
	//###############################################################################################

	@Override
	public void stateChanged(ChangeEvent arg0) 
	{
		JSpinner spinner = (JSpinner)arg0.getSource();
		
//		if(spinner.getName().equals(spinner_3.getName()))
//		{
//			lwv.setNumHLSamples((Integer)spinner.getValue());
//		}
		
	}

}
