package draw;

import java.awt.Graphics2D;
import java.awt.event.MouseEvent;

import guiUtil.InteractionField;

public class ParallelAxis_Interaction_3 extends InteractionField{
	
	private ParallelAxisView pav;
	private int index;
	
	//###############################################################################################
	// Constructor
	//###############################################################################################
	
	public ParallelAxis_Interaction_3(ParallelAxisView pav_P, int index_P)
	{
		this.pav = pav_P;
		this.index = index_P;
	}
	
	//###############################################################################################
	// Override Methods ActionListener
	//###############################################################################################

	@Override
	public void action(MouseEvent me, int eventType) 
	{
		if(index != pav.getSelectedLockedRule())
		{
			pav.setSelectedLockedRule(index);
			pav.setLogSelectedRule(true);
		}
		else if(pav.isLogSelectedRule())
		{
			pav.setSelectedLockedRule(-1);			
			pav.setLogSelectedRule(false);
		}
		else
		{
			pav.setSelectedLockedRule(index);			
			pav.setLogSelectedRule(true);
		}
				
	}

	@Override
	public void paintArea(Graphics2D g2d, DrawPanel dp, int size) {
		
		g2d.drawRect( - size/2
				, - size/2
				, size
				, size);
		
	}

}
