package draw;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JColorChooser;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

public class RuleList_PopUp extends JPopupMenu implements ActionListener{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -1542938476226637487L;
	
	private RuleListView rl_View;
	private int index;
	
	private JMenuItem changeColor;
	
	//###############################################################################################
	// Constructor
	//###############################################################################################
	
	public RuleList_PopUp(RuleListView rl_View, int index)
	{
		this.index = index;
		this.rl_View = rl_View;
		
		changeColor = new JMenuItem("Color");
		changeColor.setActionCommand("color");
		changeColor.addActionListener(this);
		
		this.add(changeColor);
	}
	
	//###############################################################################################
	// Override Method ActionListener
	//###############################################################################################

	@Override
	public void actionPerformed(ActionEvent arg0)
	{
		Color color = JColorChooser.showDialog(this, "Rule Color", rl_View.getRuleInfoAt(index).getColor());
		
		rl_View.getRuleInfoAt(index).setColor(color);
		rl_View.getSession().repaintRV();
	}

}
