package guiUtil;

import java.awt.Graphics2D;
import java.awt.event.MouseEvent;

import draw.DrawPanel;

public abstract class InteractionField {
	
	int id;
	
	public abstract void action(MouseEvent me, int eventType);
	public abstract void paintArea(Graphics2D g2D, DrawPanel dp, int size);
	
	//###############################################################################################
	// GET and SET
	//###############################################################################################

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

}
