package draw;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

public class GlobalMonitor_Popup extends JPopupMenu implements ActionListener{
	
	private GlobalMonitor globalM;
	
	JMenuItem saveMonitor;
	JMenuItem monitorToLatex;
	
	public GlobalMonitor_Popup(GlobalMonitor globalM_P)
	{
		this.globalM = globalM_P;
		
		saveMonitor = new JMenuItem("Save Monitor");
		saveMonitor.setActionCommand("saveM");
		saveMonitor.addActionListener(this);
		
		monitorToLatex = new JMenuItem("Monitor to Latex");
		monitorToLatex.setActionCommand("mToLatex");
		monitorToLatex.addActionListener(this);
		
		this.add(saveMonitor);
		this.add(monitorToLatex);
	}

	@Override
	public void actionPerformed(ActionEvent arg0) 
	{
		if(arg0.getActionCommand().equals(saveMonitor.getActionCommand()))
		{
			globalM.saveMonitor();
		}
		else if(arg0.getActionCommand().equals(monitorToLatex.getActionCommand()))
		{
			globalM.monitorToLatex();
		}
		
	}

}
