package draw;

import java.awt.event.MouseEvent;

import guiUtil.InteractionMove;

public class ParallelAxis_InteractionMove extends InteractionMove{
	
	private int index;
	private ParallelAxisView pav;
	
	//###############################################################################################
	// Constructor
	//###############################################################################################
	
	public ParallelAxis_InteractionMove(ParallelAxisView pav, int index)
	{
		this.pav = pav;
		this.index = index;
	}
	
	//###############################################################################################
	// Override Methods InteractionMove
	//###############################################################################################

	@Override
	public void action(MouseEvent me) {

		if(me.getID() == MouseEvent.MOUSE_MOVED)
		{
			pav.setSelectedRule(index);
		}
		else if(me.getID() == MouseEvent.MOUSE_EXITED)
		{
			pav.setSelectedRule(-1);
		}
		pav.repaintDrawPanel();
	}

}
