package draw;

import java.awt.Color;

public class RuleInfo {
	
	private Color color;
	private int birth = 0;
	private int death = 0;
	private int[] ancestors;
	
	//###############################################################################################
	// Constructor
	//###############################################################################################
	
	public RuleInfo(Color color_P, int birth_P, int[] ancestors_P)
	{
		this.color = color_P;
		this.birth = birth_P;
		this.ancestors = ancestors_P;
	}
	
	//###############################################################################################
	// GET and SET
	//###############################################################################################
	
	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public int getBirth() {
		return birth;
	}

	public void setBirth(int birth) {
		this.birth = birth;
	}

	public int getDeath() {
		return death;
	}

	public void setDeath(int death) {
		this.death = death;
	}

	public int[] getAncestors() {
		return ancestors;
	}

	public void setAncestors(int[] ancestors) {
		this.ancestors = ancestors;
	}

}
