package guiUtil;

import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

public interface DragSource {
	
	/**
	 * Returns the to drop Data, if the MouseEvent is correct. The Programmer is responsible to implement the
	 * check for his purpose.
	 * 
	 * @param me
	 * @return
	 */
	public Object[] getData(MouseEvent me);
	public void addMouseListener(MouseListener ml);
	public void addMouseMotionListener(MouseMotionListener mml);
	public void addDropTarget(DropTarget dt);
	public void drawDrop(Graphics2D g2d, MouseEvent me, Object[] data);

}
