package guiUtil;

public class NumberFormater {
	
	public static String doubleToString(double d, int internalDecimalPlaces)
	{
		String retString = null;
		double places = Math.pow(10, internalDecimalPlaces);
	
		if(d < 1 && d > 0)			
		{

			int exponent = (int)(Math.log(d)/Math.log(0.1))+1;
			int factor = (int)Math.pow(10, exponent);		
			
			retString = ((int)(d*factor*places)/places) + "E-"+exponent;
		}
		else if(d < 0 && d > -1)
		{
			d = -1*d;
			
			int exponent = (int)(Math.log(d)/Math.log(0.1))+1;
			int factor = (int)Math.pow(10, exponent);		
			
			retString = "-"+((int)(d*factor*places)/places) + "E-"+exponent;
		}
		else
		{
			retString = ((int)(d*places)/places) + "";
		}
		
		return retString;
	}
	
	public static int smallDoubleToBigInt(double d, int tenPower)
	{
		int retValue;
		
		if(d < 1 && d > 0)			
		{
			int exponent = (int)(Math.log(d)/Math.log(0.1))+1;
			int factor = (int)Math.pow(10, exponent + tenPower);
			
			retValue = factor;			
		}
		else if(d < 0 && d > -1)
		{
			d = -1*d;
			
			int exponent = (int)(Math.log(d)/Math.log(0.1))+1;
			int factor = (int)Math.pow(10, exponent + tenPower);	
			
			retValue = factor;			
		}
		else
		{
			int exponent = (int)(Math.log(d)/Math.log(10));
			int factor = (int)Math.pow(10, exponent + tenPower);
			retValue = factor;
		}
		
		return retValue;
	}
	
	public static String integerToWord(int number)
	{
		StringBuffer sb = new StringBuffer();
		
		if(number > 0)
		{
			//number of decimal
			int numDecimal = (int)(Math.log(number)/Math.log(10));		
			int letter = 0;
			
			for(int i=numDecimal; i>=0 ; i--)
			{
				letter = (int)(number/Math.pow(10,i)) - letter;			
				switch(letter)
				{
					case 0:
						sb.append("a");
						break;
					case 1:
						sb.append("b");
						break;
					case 2:
						sb.append("c");
						break;
					case 3:
						sb.append("d");
						break;
					case 4:
						sb.append("e");
						break;
					case 5:
						sb.append("f");
						break;
					case 6:
						sb.append("g");
						break;
					case 7:
						sb.append("h");
						break;
					case 8:
						sb.append("k");
						break;
					case 9:
						sb.append("j");
						break;
				}	
				
				letter = (int)(number/Math.pow(10,i))*10;
			}
		}
		else
		{
			sb.append("a");
		}
		
		return sb.toString();
	}

}
